Subject: Re: bug#23133: gzip-1.7: Segmentation Fault with solarisstudio12.4 on Solaris10 x64

From: Paul Eggert <[email-masked]>
Date: Mon, 28 Mar 2016 19:43:02 -0700

Kiyoshi KANAZAWA wrote:

> I confirmed your patch fixed the problem.
>
> But, I had to change am__api_version in configure, such as
> 3509c3509
> < am__api_version='1.99a'
> ---
>> >am__api_version='1.15'
>
> I know it is not good to do that, but the latest release automake version is 1.15.

Yes, gzip was built with a prerelease version of the next Automake, which is a 
bit of a pain. Your workaround should be OK.

> It seems that "DEFS='-D NO_ASM'" is not needed.
> % ./configure CC='cc -m64' CFLAGS='-g'
> % make
> % make check
> also passed.

Yes, that's right, with the patch installed you don't need '-D NO_ASM'. '-D 
NO_ASM' is helpful only with gzip 1.7 and earlier.